<template>
  <div class="pa-6">
    <v-row>
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card :height="height" elevation="6" class="rounded-xl d-flex align-center" to="/publik">
          <v-card-text >
            <v-row>
              <v-col cols="12" align="center">
                <v-avatar color="red" size="100">
                  <img src="../assets/images/external.png" />
                </v-avatar>
                <br/>
                <span class="font-weight-bold text-h6">Layanan Publik</span>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card :height="height" elevation="6" class="rounded-xl d-flex align-center" to="/internal">
          <v-card-text >
            <v-row>
              <v-col cols="12" align="center">
                <v-avatar color="purple" size="100">
                  <img src="../assets/images/internal.png" />
                </v-avatar>
                <br/>
                <span class="font-weight-bold text-h6">Layanan Internal</span>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card :height="height" elevation="6" class="rounded-xl d-flex align-center" to="/kabupaten">
          <v-card-text >
            <v-row>
              <v-col cols="12" align="center">
                <v-avatar color="purple" size="100">
                  <img src="../assets/images/kabupaten.png" />
                </v-avatar>
                <br/>
                <span class="font-weight-bold text-h6">Layanan Kabupaten/Kota</span>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card :height="height" elevation="6" class="rounded-xl d-flex align-center" to="/prisma">
          <v-card-text >
            <v-row>
              <v-col cols="12" align="center">
                <v-avatar color="grey" size="100">
                  <img src="../assets/images/madrasah.png" />
                </v-avatar>
                <br/>
                <span class="font-weight-bold text-h6">Layanan PRISMA</span>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card :height="height" elevation="6" class="rounded-xl d-flex align-center" to="/zi">
          <v-card-text >
            <v-row>
              <v-col cols="12" align="center">
                <v-avatar color="orange" size="100">
                  <img src="../assets/images/zi.png" />
                </v-avatar>
                <br/>
                <span class="font-weight-bold text-h6">Rubrik RB / ZI</span>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card :height="height" elevation="6" class="rounded-xl d-flex align-center" to="/kua">
          <v-card-text >
            <v-row>
              <v-col cols="12" align="center">
                <v-avatar color="orange" size="100">
                  <img src="../assets/images/kua.png" />
                </v-avatar>
                <br/>
                <span class="font-weight-bold text-h6">LAYAK (Layanan Agama Kecamatan)</span>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "home",
  components: {},
  data: () => ({
    height: 200,
  }),
  computed: {},
  mounted() {},
  methods: {
    publik() {
      this.$store.dispatch('constant/set_title', 'Layanan Publik')
      this.$router.push(`/publik`);
    },
    internal() {
      this.$store.dispatch('constant/set_title', 'Layanan Internal')
      this.$router.push(`/internal`);
    },
    kabupaten() {
      this.$store.dispatch('constant/set_title', 'Layanan Kabupaten/Kota')
      this.$router.push(`/kabupaten`);
    },
    prisma() {
      this.$store.dispatch('constant/set_title', 'Layanan Prisma')
      this.$router.push(`/prisma`);
    },
    zi() {
      this.$store.dispatch('constant/set_title', 'Rubrik RB / ZI')
      this.$router.push(`/zi`);
    }
  },
};
</script>

<style scoped>
</style>
